Subject: bug#76197: [PROPOSED] gzip: drop support for the GZIP env var

From: Antonio Diaz Diaz <[email-masked]>
Date: Sun, 23 Feb 2025 18:01:39 +0100

Lasse Collin wrote:
> Hypothetically, someone somewhere might rely on GZIP=-n when
> compressing regular files.

Have you considered that removing GZIP, as Paul did originally, would 
maximize reliability, minimize maintenance work, prevent long discussions 
about what options GZIP should or should not allow, and not interfere with 
the user's freedom to define an environment variable for his/her own scripts:

   gzip ${MY_GZIP_OPT} [options] [files]

Best regards,
Antonio.